Repetición de Programa

Ir abajo

Repetición de Programa Empty Repetición de Programa

Mensaje por Luis Alberto Benitez el Miér Ago 07, 2019 3:26 pm

Estimados Colegas del Foro Expongo un Lisp
lo que estoy queriendo lograr es que se repita
en forma indefinida el siguiente Lisp.
Desde ya Gracias.

Código:
(defun c:txic ()
  (setvar "OSMODE" 0)
  (command "orto""DES")
  (setvar "cmdecho" 0)
  (prompt "\n* TEXTO a Alinear: ")
  (setq tac (car (entsel "\n* TEXTO a Alinear: ")))

  (prompt "\nDesignar [Seleccionar Linea:] ")
  (setq entidad (car (entsel "\nSeleccione linea: ")))
  (setq p1 (cdr (assoc 10 (entget entidad)))
 p2 (cdr (assoc 11 (entget entidad)))
  )
  (setq distancia (distance p1 p2))
  (setq angulo (angle p1 p2))
  (setq pto (polar p1 angulo (/ distancia 2)))
  (setq tac2 (entget tac))
  (command "_justifytext" tac "" "ic");Justificación del texto a Inferior Centro
 
  (setq p40 (cdr (assoc 40 tac2))) ;altura
  ;(setq p11 (list (car pto) (+ (cadr pto) (* p40 0.4))));Punto de Iserción Texto
  (setq p11 (list (car pto) (+ (cadr pto))));Punto de Iserción Texto
  (setq tac2 (subst (cons 11 p11) (assoc 11 tac2) tac2))
  (setq tac2 (subst (cons 72 1) (assoc 73 tac2) tac2));Justificación del texto 73=Medio Centro
  (entmod tac2)
  (setvar "OSMODE" 0)
  (command "orto""ACT")
  (setvar "cmdecho" 0)
  (command "_.rotate" tac "" pto 90);Rota el Texto segun sentido
  (command "orto""DES")
)

(prompt "\nNuevo comando txic definido ")
(prin1)

Luis Alberto Benitez

Mensajes : 82
Fecha de inscripción : 29/03/2016

Volver arriba Ir abajo

Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.